2019-12-09 05:20 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000571FSSCPgameplaypublic2006-11-01 09:55
Reporterstarman01 
Assigned ToBackslash 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000571: Ships don't accelerate to 100% in autopilot
DescriptionI have to make another attempt into this matter, because it is really disturbing and a big deal in our Mod (WCS).

In Kazan's Autopilot is a small bug, which leads into some ridiculous reactions while using timecompression. I already asked Kazan's into this matter, but he thought he doesn't now how to fix. I have no idea about coding, but it sounds so trivial to me, therefore I try it again this way.

Problem is as follows :

When activating the autopilot (in other words automatic flying with timecompression) the ships aren't accelerating to 100%, only to around 85%. The slowest ship of the group is giving the max autopilot speed.

Now the problem is, that the AI tries to keep the formation while on autopilot. But since they aren't flying full speed, the AI is making little corrections in the formation, which result into a extrem wild hopping when time-compression is bigger than 16x (it's not really visible at normal speed).

So would it be possible to change the behaviour that the ships accelerate to either 100% when all autopilot involved
ships (SEXP : set-nav-carry) are of the same class, or maybe ensure that all ships fly absolut exactly the same speed and can't accelerate/decrease in order to correct their position ?

Thanks

StarmanĀ©
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003516

psycho_fergo (reporter)

i have a question about that. i have seen the command to activate auto piolate, but how do you do it and how does it work?

i pressed the button but i didnt see anything happen...i dont get it

please explain

~0003518

Kazan (developer)

pyscho_fergo mantis is not the correct place to ask questions on how to use something - that's what the forums are for.

starman01 i just had an idea on a possible fix for this issue - i'll try it out when i get a chance

~0003522

psycho_fergo (reporter)

ok, sorry kazan, wont happen again :)

~0003532

starman01 (reporter)

@Kazan : I'm keeping my fingers crossed :)

Fixing this bug would really make us all happy. BTW, the database is uptodate (including newest mission-variants), if you need stuff for testing. New Account Info is in the forum-sticky.

~0003534

Kazan (developer)

well i cannot do anything right now as the code is unacceptable unstable so i cannot even get to the part i'm trying to debug without it crashing weirdly on something before.

*grumbles*

~0005072

Goober5000 (administrator)

It looks like this could be fixable by disabling the thing that slows fighters down the closer they get to their leader.

~0005113

starman01 (reporter)

Glad to see there is some progress in this matter. If you need me testing something, just send me a message :)

~0005114

Kazan (developer)

Goob that fix would almost certainly resolve the issue. One caveat about large formations is that they need to "swing turn" instead of "pivot turn" like they used to (IE if you have your entire battlegroup in the autopilot sequence with you)

~0005722

Goober5000 (administrator)

I haven't been able to make heads or tails of this. Kazan, can you take another look?

~0006036

Backslash (developer)

I think I got it!

Barking up the wrong tree about the 90% speed... I tried disabling that and it's still a problem. But then inspired by Goober's idea I found this:

Near the end of ai_formation(), right before "//See how different this ship's bank is", there's a line:
    set_accel_for_target_speed(Pl_objp, 0.0f);
All the other speed adjustments are relative to the leader's speed. This line seems out of place. I think it should be leader_speed, not 0.0f.

~0006038

Goober5000 (administrator)

Backslash, you're absolutely right! I just tried it and it worked like a charm. Good find. :)

Now the question is whether this should be changed universally or just changed for the WCS flag. I'd learn toward changing it universally but adding a // COMPATABILITY comment (like TODO or FIXME) so it can be easily found in case it breaks something.

~0006039

Tolwyn (reporter)

wonderful :)

~0006042

starman01 (reporter)

Don't get this the wrong way, but I love you guys :)

~0006047

Goober5000 (administrator)

K, I've committed the fix.
+Notes

-Issue History
Date Modified Username Field Change
2005-10-02 09:53 starman01 New Issue
2005-10-09 16:23 psycho_fergo Note Added: 0003516
2005-10-10 02:10 Goober5000 Assigned To => Kazan
2005-10-10 02:10 Goober5000 Status new => assigned
2005-10-10 07:34 Kazan Note Added: 0003518
2005-10-11 03:03 psycho_fergo Note Added: 0003522
2005-10-11 16:07 starman01 Note Added: 0003532
2005-10-11 17:24 Kazan Note Added: 0003534
2006-03-07 12:35 Goober5000 Assigned To Kazan => Goober5000
2006-03-07 12:36 Goober5000 Note Added: 0005072
2006-03-09 13:05 starman01 Note Added: 0005113
2006-03-09 13:34 Kazan Note Added: 0005114
2006-06-03 01:37 Goober5000 Note Added: 0005722
2006-06-03 01:37 Goober5000 Assigned To Goober5000 => Kazan
2006-07-03 19:15 Backslash Note Added: 0006036
2006-07-03 22:25 Goober5000 Note Added: 0006038
2006-07-03 22:26 Goober5000 Assigned To Kazan => Backslash
2006-07-04 07:31 Tolwyn Note Added: 0006039
2006-07-04 13:02 starman01 Note Added: 0006042
2006-07-05 19:12 Goober5000 Note Added: 0006047
2006-07-05 19:12 Goober5000 Status assigned => resolved
2006-11-01 09:55 taylor Resolution open => fixed
2006-11-01 09:55 taylor Fixed in Version => 3.6.9
+Issue History